package oclstdlibplugin.model;

import org.eclipse.jdt.annotation.NonNull;
import org.eclipse.jdt.annotation.Nullable;
import org.eclipse.ocl.examples.domain.evaluation.DomainEvaluator;
import org.eclipse.ocl.examples.domain.ids.TypeId;
import org.eclipse.ocl.examples.domain.library.AbstractUnaryOperation;
import org.eclipse.ocl.examples.domain.values.RealValue;

public class TestNumericOperation extends AbstractUnaryOperation {
	public static final TestNumericOperation INSTANCE = new TestNumericOperation();

	@Override
	public @NonNull RealValue evaluate(@NonNull DomainEvaluator evaluator, @NonNull TypeId returnTypeId, @Nullable Object sourceVal) {
		RealValue numericValue = asRealValue(sourceVal); 
		return numericValue;
	}
}
